Переполнение буфера в ZZIPlib Library

Дата публикации:
21.03.2007
Дата изменения:
20.03.2007
Всего просмотров:
887
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Повышение привилегий
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
ZZIPLib Library 0.13.x
Уязвимые версии: ZZIPlib Library версии до 0.13.49.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный код на целевой системе.

Уязвимость существует из-за ошибки проверки границ данных при обработке аргументов в функции "zzip_open_shared_io()" в файле zzip/file.c. Удаленный пользователь может с помощью специально сформированного имени файла вызвать переполнение буфера и выполнить произвольный код на целевой системе.

URL производителя: sourceforge.net/projects/zziplib/

Решение: Установите последнюю версию (0.13.49) с сайта производителя.

или введите имя

CAPTCHA